NodeBuzz 3.0 Frontend
======


### Setup

```bash
yarn install
yarn run build
```

Host at the root of *https* some.domain.thing or adjust `hostname` in `package.json`.

Note: A valid https certificate is required to be able to consume `devicemotion` events on Chrome.

See [https://www.chromestatus.com/feature/5688035094036480](https://www.chromestatus.com/feature/5688035094036480) for more information.

In case the API server is running on another domain/port, you can adjust the URL by providing it during build time:
```
env REACT_APP_API_URL="https://buzzer-api.fefrei.de" yarn run build
```



### Admin Interface

```
Hotkeys:
+ / -: Punkte für letztes Team
o:     "enable once" an/aus
space: enable/disable buzzer
t:     enable/disable allow team changing
r:     buzz random team
e:     exclude current team
```


### Routes

Client: https://buzzer.fefrei.de

Instance QR-Codes: https://buzzer.fefrei.de/#/join/instance_name_here

Monitor: https://buzzer.fefrei.de/#/monitor/instance_name_here

Admin-Interface: https://buzzer.fefrei.de/#/admin
